---
title: Ansible Wiki Signed Git Commands
tags:
- ansible
---
Find your GPG key:

```
gpg --list-secret-keys
# Find it here: sec 4096R/KEY-ID
```

Globally configure usage of that key and signing of commits:

```
git config --global user.signingkey KEY-ID
git config --global commit.gpgsign true
```

Configure GPG for signing within the IDE in `.gnupg/pgp.conf`:

```
no-tty
use-agent
```

After that you may have to kill and re-start gpg-agent.
